curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/profiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "profile",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"display_name": "<string>",
"prefix": "<string>",
"legal_first_name": "<string>",
"legal_middle_name": "<string>",
"legal_last_name": "<string>",
"legal_maiden_name": "<string>",
"suffix": "<string>",
"birthdate": "2023-12-25",
"deceased_on": "2023-12-25",
"racial_identity": "<string>",
"primary_employee_id": "<string>",
"emails": [
"primary@example.com",
"secondary@example.com"
],
"avatar_url": "<string>",
"avatar_checksum_md5": "<string>",
"preferred_avatar_url": "<string>",
"preferred_avatar_checksum_md5": "<string>",
"cv_upload_url": "<string>",
"cv_upload_checksum_md5": "<string>",
"gender_identity": "<string>",
"custom_fields": {},
"employee_ids": {}
},
"relationships": {
"current_department": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "department",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"current_primary_appointment": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "primary_appointment",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"primary_appointments": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "primary_appointment",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"additional_appointments": {
"links": {
"related": "<string>"
},
"meta": {}
},
"addresses": {
"links": {
"related": "<string>"
},
"meta": {}
},
"user": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "user",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
],
"meta": {
"page": {
"size": 123
},
"total": 123
},
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}List profiles
Returns a list of profiles.
Filter by an employee id configuration with filter[employee_ids][<configuration name>]=<id>,
or by a comma-separated list with filter[employee_ids.in][<configuration name>]=<id>,<id>.
The neq, cont, and nin operators take the same form.
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/profiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "profile",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"display_name": "<string>",
"prefix": "<string>",
"legal_first_name": "<string>",
"legal_middle_name": "<string>",
"legal_last_name": "<string>",
"legal_maiden_name": "<string>",
"suffix": "<string>",
"birthdate": "2023-12-25",
"deceased_on": "2023-12-25",
"racial_identity": "<string>",
"primary_employee_id": "<string>",
"emails": [
"primary@example.com",
"secondary@example.com"
],
"avatar_url": "<string>",
"avatar_checksum_md5": "<string>",
"preferred_avatar_url": "<string>",
"preferred_avatar_checksum_md5": "<string>",
"cv_upload_url": "<string>",
"cv_upload_checksum_md5": "<string>",
"gender_identity": "<string>",
"custom_fields": {},
"employee_ids": {}
},
"relationships": {
"current_department": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "department",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"current_primary_appointment": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "primary_appointment",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"primary_appointments": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "primary_appointment",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"additional_appointments": {
"links": {
"related": "<string>"
},
"meta": {}
},
"addresses": {
"links": {
"related": "<string>"
},
"meta": {}
},
"user": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "user",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
],
"meta": {
"page": {
"size": 123
},
"total": 123
},
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Query Parameters
Comma-separated list of relationships to include. Allowed: current_department, current_primary_appointment, primary_appointments, additional_appointments, addresses, user
Sort order. Prefix with - for descending. Allowed: created_at, updated_at, display_name, legal_first_name, legal_last_name
Filter results. Available filters: created_at, created_at.neq, created_at.lt, created_at.lte, created_at.gt, created_at.gte, updated_at, updated_at.neq, updated_at.lt, updated_at.lte, updated_at.gt, updated_at.gte, legal_first_name, employee_id, email, display_name, display_name.neq, display_name.cont (case-insensitive substring match), display_name.in (list of values, comma-separated), display_name.nin (list of values, comma-separated), prefix, prefix.neq, prefix.cont (case-insensitive substring match), prefix.in (list of values, comma-separated), prefix.nin (list of values, comma-separated), legal_maiden_name, legal_maiden_name.neq, legal_maiden_name.cont (case-insensitive substring match), legal_maiden_name.in (list of values, comma-separated), legal_maiden_name.nin (list of values, comma-separated), suffix, suffix.neq, suffix.cont (case-insensitive substring match), suffix.in (list of values, comma-separated), suffix.nin (list of values, comma-separated), birthdate, birthdate.neq, birthdate.lt, birthdate.lte, birthdate.gt, birthdate.gte, deceased_on, deceased_on.neq, deceased_on.lt, deceased_on.lte, deceased_on.gt, deceased_on.gte, racial_identity, racial_identity.neq, racial_identity.cont (case-insensitive substring match), racial_identity.in (list of values, comma-separated), racial_identity.nin (list of values, comma-separated), current_department, current_department.exists (boolean), current_primary_appointment, current_primary_appointment.exists (boolean), primary_appointments, additional_appointments, addresses, user. Filter by a custom field with filter[custom_fields][<key>]=<value>. The neq, cont, in, nin, lt, lte, gt, and gte operators take the form filter[custom_fields.<operator>][<key>]=<value>, where the field's type decides which apply.
Number of items per page (max 100)
Cursor for next page
Cursor for previous page